com.io7m.jtensors.generators

## Class PMatrix4x4FGenerator<A,B>

- java.lang.Object
- - com.io7m.jtensors.generators.PMatrix4x4FGenerator<A,B>

- Type Parameters:
    `A` - A phantom type parameter (possibly representing a source coordinate system)
    `B` - A phantom type parameter (possibly representing a target coordinate system)
  All Implemented Interfaces:
    net.java.quickcheck.Generator<PMatrix4x4F<A,B>>

      public final class PMatrix4x4FGenerator<A,B>
      extends Object
      implements net.java.quickcheck.Generator<PMatrix4x4F<A,B>>

  A matrix generator.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PMatrix4x4FGenerator(net.java.quickcheck.Generator<Double> in_gen)` Construct a generator.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <A,B> net.java.quickcheck.Generator<PMatrix4x4F<A,B>>` | `create()` Create a generator initialized with a default component generator.
    `static <A,B> net.java.quickcheck.Generator<PMatrix4x4F<A,B>>` | `createNormal()` Create a generator initialized with a default component generator that only produces values in the range `[-1.0, 1.0]`.
    `PMatrix4x4F<A,B>` | `next()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PMatrix4x4FGenerator

          public PMatrix4x4FGenerator(net.java.quickcheck.Generator<Double> in_gen)

      Construct a generator.
      Parameters:
        `in_gen` - A component generator

  - ### Method Detail

    - #### create

          public static <A,B> net.java.quickcheck.Generator<PMatrix4x4F<A,B>> create()

      Create a generator initialized with a default component generator.
      Type Parameters:
        `A` - A phantom type parameter (possibly representing a source coordinate system)
        `B` - A phantom type parameter (possibly representing a target coordinate system)
      Returns:
        A generator

    - #### createNormal

          public static <A,B> net.java.quickcheck.Generator<PMatrix4x4F<A,B>> createNormal()

      Create a generator initialized with a default component generator that only produces values in the range `[-1.0, 1.0]`.
      Type Parameters:
        `A` - A phantom type parameter (possibly representing a source coordinate system)
        `B` - A phantom type parameter (possibly representing a target coordinate system)
      Returns:
        A generator

    - #### next

          public PMatrix4x4F<A,B> next()

      Specified by:
        `next` in interface `net.java.quickcheck.Generator<PMatrix4x4F<A,B>>`

Copyright © 2017 <code@io7m.com> http://io7m.com